\usepackage[utf8]{inputenc}
\usepackage[ngerman]{babel}
\usepackage[margin=1in]{geometry} 
\usepackage{amsmath,amsthm,amssymb,amsfonts}
\usepackage{mathtools}
\usepackage{slashed}
\usepackage{pdfpages}
\usepackage{hyperref}
\usepackage{enumerate}
\usepackage{tikz}
\usepackage{stmaryrd}
\usepackage{listings}
\usepackage{color}
\usepackage{subcaption}
%\setlength{\droptitle}{-3em}

%sick tikz shit
\usepackage{tikz}
\usetikzlibrary{arrows}
\usetikzlibrary{graphs,graphs.standard}